# HeadingPitchRange

#### new Cesium.HeadingPitchRange(heading, pitch, range)
engine/Source/Core/HeadingPitchRange.js 16

Defines a heading angle, pitch angle, and range in a local frame. Heading is the rotation from the local east direction where a positive angle is increasing southward. Pitch is the rotation from the local xy-plane. Positive pitch angles are above the plane. Negative pitch angles are below the plane. Range is the distance from the center of the frame.

Name | Type | Default | Description
--- | --- | --- | ---
`heading` | number | `0.0` | optional The heading angle in radians.
`pitch` | number | `0.0` | optional The pitch angle in radians.
`range` | number | `0.0` | optional The distance from the center in meters.

### Members

#### heading : number
engine/Source/Core/HeadingPitchRange.js 22

Heading is the rotation from the local east direction where a positive angle is increasing southward.

Default Value: `0.0`

#### pitch : number
engine/Source/Core/HeadingPitchRange.js 30

Pitch is the rotation from the local xy-plane. Positive pitch angles are above the plane. Negative pitch angles are below the plane.

Default Value: `0.0`

#### range : number
engine/Source/Core/HeadingPitchRange.js 37

Range is the distance from the center of the local frame.

Default Value: `0.0`

### Methods

#### static Cesium.HeadingPitchRange.clone(hpr, result) → HeadingPitchRange
engine/Source/Core/HeadingPitchRange.js 47

Duplicates a HeadingPitchRange instance.

Name | Type | Description
--- | --- | ---
`hpr` | HeadingPitchRange | The HeadingPitchRange to duplicate.
`result` | HeadingPitchRange | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new HeadingPitchRange instance if one was not provided. (Returns undefined if hpr is undefined)

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.